For the complete documentation index, see llms.txt. This page is also available as Markdown.

Positions

Retrieve All Positions

Use this endpoint to fetch all open positions associated with the specified trading account.

GET https://perps-api-mainnet.polynomial.finance/positions/v2?&owner=<wallet_addr>&ownershipType=SuperOwner

Query

Name
Value

wallet_addr

Main account wallet address

Headers

Name
Value

Content-Type

application/json

Accept

application/json

x-api-key

Backend API key(optional)

Response

{
  "owner": "0x0000001daCFD0d259fadC5124a7C14f4F544F2DC",
  "positions": [
    {
      "orderType": "DelayedOffchain",
      "accountId": "100000083460469231731687303715884105732",
      "chainId": 8008,
      "marketId": "100",
      "size": "-300000000000000",
      "totalRealisedFundingUsd": "17378263562273",
      "totalRealisedPnlUsd": "-1515497861293361",
      "unrealisedFundingUsd": "1271335875762409",
      "totalVolumeUsd": "2465240343741734068",
      "avgEntryPrice": "2737472050978267451314",
      "latestInteractionPrice": "2742523710515911989046",
      "liquidationPrice": "320168214434283200000000",
      "entryTimestamp": 1749567323,
      "breakEvenPriceIncludingClosingFee": "289223961992217044461",
      "breakEvenPriceExcludingClosingFee": "785277215309474270249",
      "totalRealisedInterestUsd": "0",
      "unrealisedInterestUsd": "0",
      "tpsl": null
    }
    ...
  ],
  "totalCount": 1
}

Last updated